Package org.codehaus.plexus.util.cli

# Class StreamPumper

java.lang.Object
java.lang.Thread
org.codehaus.plexus.util.cli.AbstractStreamHandler
org.codehaus.plexus.util.cli.StreamPumper

All Implemented Interfaces:
  `Runnable`

public class StreamPumper extends AbstractStreamHandler
Class to pump the error stream during Process's runtime. Copied from the Ant built-in task.

Since:
  June 11, 2001
Author:
  Florin Vancea , Paul Julius

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`StreamPumper(InputStream in)`
`StreamPumper(InputStream in, PrintWriter writer)`
`StreamPumper(InputStream in, PrintWriter writer, StreamConsumer consumer)`
`StreamPumper(InputStream in, StreamConsumer consumer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`Exception`
`getException()`
`void`
`run()`

### Methods inherited from class org.codehaus.plexus.util.cli.AbstractStreamHandler

`disable, isDisabled, isDone, setDone, waitUntilDone`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StreamPumper

public StreamPumper(InputStream in)

### StreamPumper

public StreamPumper(InputStream in, StreamConsumer consumer)

### StreamPumper

public StreamPumper(InputStream in, PrintWriter writer)

### StreamPumper

public StreamPumper(InputStream in, PrintWriter writer, StreamConsumer consumer)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

### flush

public void flush()

### close

public void close()

### getException

public Exception getException()